.\" Man page for man (and the former manpath)
.\"
.\" Copyright (c) 1990, 1991, John W. Eaton.
.\" Traduction franaise Ren Cougnenc - Mai 1995 
.\"
.\" You may distribute under the terms of the GNU General Public
.\" License as specified in the README file that comes with the man 1.0
.\" distribution.  
.\"
.\" John W. Eaton
.\" jwe@che.utexas.edu
.\" Department of Chemical Engineering
.\" The University of Texas at Austin
.\" Austin, Texas  78712
.\"
.\" Many changes - aeb
.\"
.TH MAN 1 "12 Mars 1995" "Manuel Linux" "Commandes utilisateur"
.LO 1
.SH NOM
man \- formate et affiche les pages du manuel en ligne
.br
manpath \- dtermine le chemin de recherche des pages pour l'utilisateur
.SH SYNOPSIS
man [\-acdfhktwW] [\-m systme] [\-p chane] [\-C fichier_config] [\-M chemin]
[\-P visualiseur] [\-S liste_sections] [section] nom ...
.SH DESCRIPTION
.B man
formate  et  affiche les  pages  du  manuel  en ligne.  Cette  version
reconnat les variables d'environnement
.B MANPATH
et
.BR (MAN)PAGER ,
de sorte que
vous pouvez avoir  vos propres jeux de manuels  personnels et employer
le programme de votre choix pour les visualiser. Si
.I section
est spcifie,
.B man
ne  recherchera  que  dans  cette section  particulire.  Vous  pouvez
galement  indiquer   l'ordre  de  recherche  des   sections  dsires
ainsi  que les  prprocesseurs   utiliser pour  traiter les  fichiers
sources, par  des options de  la ligne  de commandes ou  des variables
d'environnement. Si
.I nom
contient le caractre /, il sera d'abord considr en tant que nom
de fichier, vous pouvez donc faire :
.B "man ./toto.5"
ou mme
.B "man /truc/machin/bidule.1.gz\fR.\fP"
.SH OPTIONS
.TP
.B \-\^C " fichier_config"
Spcifie le fichier man.conf  utiliser; par dfaut il s'agit
de @man_config_file@. (voir man.conf(5).)  
.TP
.B \-\^M " path"
Indique la liste des rpertoires dans lesquels la recherche des pages 
sera effectue. Si rien n'est spcifi, c'est la variable d'environnement
.B MANPATH
qui sera utilise. Si cette variable n'existe pas, la liste par dfaut
sera dtermine en consultant le fichier @man_config_file@. Si MANPATH
contient une chane vide, celle-ci sera remplace par la liste par dfaut.
.TP
.B \-\^P " visualiseur"
Indique le programme de visualisation des pages  employer.
Par dfaut, 
.B man 
utilisera
.B @pager@.
Cette option a priorit sur la variable d'environnement
.B PAGER.
.TP
.B \-\^S " liste_sections"
Il s'agit d'une liste de sections, spares par des deux points,
dans lesquelles les pages seront recherches. Elle a priorit sur
la variable d'environnement
.B MANSECT.
.TP
.B \-\^a
Par dfaut, 
.B man 
s'arrte aprs avoir affich la premire page de
manuel trouve. Cette option permet de lui faire afficher toutes
les pages correspondant  la requte    
.B nom
 de l'utilisateur, s'il y en a plusieurs.
.TP
.B \-\^c
Reformate la page de manuel, mme si une version prformate  jour
existe. Cela peut tre utile si cette dernire a t prvue pour un
cran de taille diffrente, par exemple.
.TP
.B \-\^d
N'affiche pas les pages de manuel, mais fournit une grande quantit
d'informations de dboguage.
.TP
.B \-\^D
Affiche  la fois les pages de manuel et les informations de dboguage.
.TP
.B \-\^f
quivalent 
.B whatis.
.TP
.B \-\^h
Affiche un court message d'aide.
.TP
.B \-\^k
quivalent 
.B apropos.
.TP
.B \-\^m " systme"
Demande l'utilisation d'un autre jeu de pages de manuel, en fonction
du nom de systme indiqu.
.TP
.B \-\^p " chane"
Spcifie la squence de prprocesseurs  excuter avant nroff ou troff.
Selon votre installation de Linux, vous ne disposerez pas forcment
de tous les programmes possibles. Voici les  plus courants et les lettres
qui les dsignent:
eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r).
Cette option a priorit sur la variable d'environnement
.B MANROFFSEQ.
.TP
.B \-\^t
Emploie
.B @troff@
pour formater la page de manuel, la sortie se faisant sur
.B stdout.
La sortie de 
.B @troff@
peut ncessiter un passage par certains filtres avant de pouvoir
tre affiche ou imprime.
.TP
.B \-\^w \fRou\fP \-\-path
N'affiche pas les pages de manuel, mais les emplacements des fichiers
qui auraient t formats ou affichs. Si aucun argument n'est prcis,
indique sur la sortie standard la liste des rpertoires dans lesquels
.B man
recherche les pages. Si
.B manpath
est un lien sur le programme man, alors  manpath  est quivalent
 la commande  man --path .
.TP
.B \-\^W
Comme \-\^w, mais affiche les noms de fichiers, un par ligne, sans aucune
autre information. Trs utile dans des commandes shell du genre:
.ft CW
man -aW man | xargs ls -l
.ft

.SH "PAGES FORMATES"
Afin de gagner du temps, 
.B man 
tente de sauvegarder les pages formates
au lieu de les interprter chaque fois qu'elles sont demandes.
Traditionnellement, les versions formates des pages de REP/manX sont
enregistres dans REP/catX, mais d'autres correspondances entre les
rpertoires man et les rpertoires cat peuvent tre indiques dans
le fichier  @man_config_file@. Si le rpertoire  cat  correspondant
n'existe pas, les pages formates ne seront pas enregistres.
.LP
Il est possible de rendre
.B man
suid utilisateur man. Dans ce cas, si un rpertoire cat appartient
 man et a le mode 0755 (seul man peut l'crire), et que les fichiers
cat appartiennent eux aussi  man et ont le mode 0644 ou 0444 (seul
man peut les crire, voire personne), aucun utilisateur normal ne pourra
changer de pages formates ou mettre d'autre fichiers dans le rpertoire
correspondant. Si
.B man
n'est pas suid, les rpertoires cat devront avoir le mode 0777 afin
que tout utilisateur puisse y laisser le rsultat des formatages lors
des consultations du manuel.
.LP
L'option -c force le reformatage d'une page, mme si un fichier cat
plus rcent que le fichier source existe.


.SH ENVIRONNEMENT
.TP
.B MANPATH
Si la variable
.B MANPATH
est positionne, sa valeur sera utilise comme chemin de recherche
des pages de manuel.
.TP
.B MANROFFSEQ
Si
.B MANROFFSEQ
est positionne, sa valeur servira  dterminer le jeu de prprocesseurs
 excuter avant de lancer nroff ou troff. Par dfaut, les pages sont
passes dans le processeur de tableaux avant nroff.
.TP
.B MANSECT
Si
.B MANSECT
est positionne, sa valeur dterminera les sections du manuel dans
lesquelles les pages seront recherches.
.TP
.B PAGER
Si
.B PAGER
est positionne, sa valeur sera considre comme le nom du programme
 utiliser pour afficher la page de manuel. Par dfaut, il s'agira de
.B @pager@.
.TP
.B LANG
Si
.B LANG
est positionne, sa valeur dfinira le nom du sous-rpertoire o
.B man
commencera la recherche des pages de manuel. Ainsi, la commande
 LANG=fr man 1 toto  aura pour effet de faire rechercher la page
toto dans .../fr/man1/toto.1, et si ce fichier n'existe pas, 
dans .../man1/toto.1, o ... est un rpertoire du chemin de recherche.
.TP
.B "NLSPATH, LC_MESSAGES, LANG"
Les variables d'environnement
.B NLSPATH
et
.B LC_MESSAGES
(ou
.B LANG
lorsque la dernire n'existe pas)
jouent un rle dans la localisation du catalogue de messages.
(Mais les messages anglais sont inclus dans le programme  la compilation,
aucun catalogue n'est donc ncessaire pour un affichage dans la langue de
Shakespeare.)
Notez que les programmes comme col(1) qui sont appels par 
.B man,
utilisent galement LC_CTYPE.
.TP
.B PATH
.B PATH
est utilise pour la construction du chemin de recherche par dfaut.
.TP
.B SYSTEM
.B SYSTEM
employe pour obtenir les systmes alternatifs par dfaut (en vue de
l'utilisation de l'option 
.B \-m
). 
.SH "VOIR AUSSI"
apropos(1), whatis(1), less(1), groff(1).
.SH BUGS
L'option
.B \-t
ne fonctionne que si un programme  troff-like  est install.
.SH TRADUCTION
Ren Cougnenc, 1995.
